Subject: Re: bug#12300: 24.2.50; Unused lexical argument warning

From: Andreas Schwab <[email-masked]>
Date: Wed, 29 Aug 2012 09:08:17 +0200

Ivan Kanis <[email-masked]> writes:

> I think there should not be any warning if a function argument is not
> used. I cannot change the function prototype for a process filter.

*Note (elisp) Using Lexical Binding::
   (To silence byte-compiler warnings about unused variables, just use
a variable name that start with an underscore.  The byte-compiler
interprets this as an indication that this is a variable known not to
be used.)

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."